Contents
Index 🔎︎

# IsUnoStruct Function

如果給定的物件具有 Uno 結構，則傳回 True (真)。

### Syntax:

IsUnoStruct ( Uno type name )

### Return value:

布林型

### Parameters:

Uno type name：Uno 類型的名稱。

### Example:

    Sub Main
    Dim bIsStruct
    ' Instantiate a service
    Dim oSimpleFileAccess
    oSimpleFileAccess = CreateUnoService( "com.sun.star.ucb.SimpleFileAccess" )
    bIsStruct = IsUnoStruct( oSimpleFileAccess )
    MsgBox bIsStruct ' Displays False because oSimpleFileAccess is NO struct
    ' Instantiate a Property struct
    Dim aProperty As New com.sun.star.beans.Property
    bIsStruct = IsUnoStruct( aProperty )
    MsgBox bIsStruct ' Displays True because aProperty is a struct
    bIsStruct = IsUnoStruct( 42 )
    MsgBox bIsStruct ' Displays False because 42 is NO struct
    End Sub